Changelog
=========


v0.0.8 (2022-06-02)
-------------------

Documentation
~~~~~~~~~~~~~
- Add readme [Corentin Bettiol]


v0.0.7 (2020-10-23)
-------------------

Features
~~~~~~~~
- Add GeneralHolidaysHoursModelForm form [Benjamin PIERRE]
- Add closure_reason field on SpecificPeriodHoursModelForm to prevent
  model clean from failling [Benjamin PIERRE]

Maintenance
~~~~~~~~~~~
- Run isort && black [Benjamin PIERRE]


v0.0.6 (2020-10-23)
-------------------

Features
~~~~~~~~
- Add WeekDayHours  related forms and formsets [Benjamin PIERRE]
- Improve forms: - Forbid empty formset forms - Add "always open" field
  in OpeningHoursModelForm [Benjamin PIERRE]
- Handle form validations with None values [Benjamin PIERRE]
- Improve SpecificPeriodHoursInlineFormSet periods overlaps form error
  message [Benjamin PIERRE]


v0.0.5 (2020-10-20)
-------------------

Features
~~~~~~~~
- Return bound data as datetime.time in FormTimeField [Benjamin PIERRE]


v0.0.4 (2020-10-16)
-------------------

Features
~~~~~~~~
- Add forms related classes - TimeStampDatetimeField and
  TimeStampDateField to handle date and datetime form fields as
  timestamp - OpeningHoursModelForm, SpecificPeriodHoursModelForm,
  SpecificPeriodHoursFormSet and SpecificPeriodTimeRangeFormSet forms
  and formsets - Run black and isort [Benjamin PIERRE]


v0.0.3 (2020-09-16)
-------------------

Features
~~~~~~~~
- Move MEDIA files from OpeningHoursRelatedAdminMixin to
  OpeningHoursWidget + remove jQuery dependency in
  RelatedOpeningHoursLookups as we can't control the admin media files
  including order causing undefined django.jQuery [Benjamin PIERRE]


v0.0.2 (2020-06-16)
-------------------

Maintenance
~~~~~~~~~~~
- Fix invalid url in setup metadata [Benjamin PIERRE]
- Add bumversion.cfg [Benjamin PIERRE]


v0.0.1 (2020-06-16)
-------------------

Features
~~~~~~~~
- Ffor 24/7 opening grids:  Don't display general holidays values in
  opening hours templatetag if no value was filled for opening hours
  [Benjamin PIERRE]
- For 24/7 opening grids:  Don't display general holidays values in
  opening hours templatetag if no value was filled for opening hours
  [Benjamin PIERRE]
- Add General holidays handling in models, admin and templatetag
  [Benjamin PIERRE]
- Add a specific case for midnight time on time range closing time
  attribute [Benjamin PIERRE]
- Update format_time_range shortcut [Benjamin PIERRE]
- Improve opening hours change form readability [Benjamin PIERRE]
- Add show_passed_specific_period_hours parameter on show_opening_hours
  templatetag to allow to hide past specific period hours from qs
  [Benjamin PIERRE]
- Handle closure reason in SpecificPeriodHours model str [Benjamin
  PIERRE]
- Add specific period closure reason display [Benjamin PIERRE]
- Add new field "closure_reason" on SpecificPeriodHours model allowing
  to specify a reason for closure on a period [Benjamin PIERRE]
- Improve OneToOneField refering at OpeningHours edition in admin
  [Benjamin PIERRE]
- Improve opening hours templatetag display [Benjamin PIERRE]
- Add help texts on model boolean fields [Benjamin PIERRE]
- Add a simple templatetag to display opening hours [Benjamin PIERRE]
- Add period contention check for specific periods in admin [Benjamin
  PIERRE]
- Add rules to prevent time range inlines from being in contention
  [Benjamin PIERRE]
- Add basic dates and time filling coherence check [Benjamin PIERRE]
- Improve admin [Benjamin PIERRE]

Bug fixes
~~~~~~~~~
- Bug in show_opening_hours specific period hours tme ranges queryset
  [Benjamin PIERRE]
- Show_opening_hours templatetag when no general holidays exists
  [Benjamin PIERRE]
- Admin forms validation when SpecificPeriodHours is filled incorrectly
  [Benjamin PIERRE]
- Add missing templates and static folder to manifest [Benjamin PIERRE]
- Bug in WeekDayHoursInlineFormSet ininial values causing the subforms
  not to be saved [Benjamin PIERRE]

Maintenance
~~~~~~~~~~~
- Add flake8 and pre-commit config files [Benjamin PIERRE]
- Add missing migrations [Benjamin PIERRE]

Other
~~~~~
- Initial commit [Benjamin PIERRE]




.. Generated by gitchangelog
